diff --git a/base/common/src/com/netscape/cms/servlet/request/CertRequestService.java b/base/common/src/com/netscape/cms/servlet/request/CertRequestService.java
index 9178d4c9ee15c470073f83654581f63e91ce823d..e1aa5659217cda484fd46ccee199aeace5484f8d 100644
--- a/base/common/src/com/netscape/cms/servlet/request/CertRequestService.java
+++ b/base/common/src/com/netscape/cms/servlet/request/CertRequestService.java
@@ -33,13 +33,13 @@ import com.netscape.certsrv.profile.ERejectException;
 import com.netscape.certsrv.property.EPropertyException;
 import com.netscape.certsrv.request.RequestId;
 import com.netscape.cms.servlet.base.BadRequestException;
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.base.PKIService;
-import com.netscape.cms.servlet.request.model.AgentEnrollmentRequestData;
+import com.netscape.cms.servlet.request.model.CertReviewResponse;
 import com.netscape.cms.servlet.request.model.CertRequestDAO;
 import com.netscape.cms.servlet.request.model.CertRequestInfo;
 import com.netscape.cms.servlet.request.model.CertRequestInfos;
-import com.netscape.cms.servlet.request.model.EnrollmentRequestData;
+import com.netscape.cms.servlet.request.model.CertEnrollmentRequest;
 import com.netscape.cmsutil.ldap.LDAPUtil;
 
 /**
@@ -61,7 +61,7 @@ public class CertRequestService extends PKIService implements CertRequestResourc
         } catch (EBaseException e) {
             // log error
             e.printStackTrace();
-            throw new CMSException("Error getting Cert request info!");
+            throw new PKIException("Error getting Cert request info!");
         }
 
         if (info == null) {
@@ -74,11 +74,11 @@ public class CertRequestService extends PKIService implements CertRequestResourc
 
     // Enrollment - used to test integration with a browser
     public CertRequestInfos enrollCert(MultivaluedMap<String, String> form) {
-        EnrollmentRequestData data = new EnrollmentRequestData(form);
+        CertEnrollmentRequest data = new CertEnrollmentRequest(form);
         return enrollCert(data);
     }
 
-    public CertRequestInfos enrollCert(EnrollmentRequestData data) {
+    public CertRequestInfos enrollCert(CertEnrollmentRequest data) {
         CertRequestInfos infos;
         if (data == null) {
             throw new BadRequestException("Bad data input into CertRequestResourceService.enrollCert!");
@@ -89,49 +89,49 @@ public class CertRequestService extends PKIService implements CertRequestResourc
             infos = dao.submitRequest(data, servletRequest, uriInfo, getLocale());
         } catch (EAuthException e) {
             CMS.debug("enrollCert: authentication failed: " + e);
-            throw new CMSException(Response.Status.UNAUTHORIZED, e.toString());
+            throw new PKIException(Response.Status.UNAUTHORIZED, e.toString());
         } catch (EAuthzException e) {
             CMS.debug("enrollCert: authorization failed: " + e);
-            throw new CMSException(Response.Status.UNAUTHORIZED, e.toString());
+            throw new PKIException(Response.Status.UNAUTHORIZED, e.toString());
         } catch (BadRequestDataException e) {
             CMS.debug("enrollCert: bad request data: " + e);
-            throw new CMSException(Response.Status.BAD_REQUEST, e.toString());
+            throw new PKIException(Response.Status.BAD_REQUEST, e.toString());
         } catch (EBaseException e) {
-            throw new CMSException(e.toString());
+            throw new PKIException(e.toString());
         }
 
         return infos;
     }
 
-    public void approveRequest(RequestId id, AgentEnrollmentRequestData data) {
+    public void approveRequest(RequestId id, CertReviewResponse data) {
         changeRequestState(id, data, "approve");
     }
 
-    public void rejectRequest(RequestId id, AgentEnrollmentRequestData data) {
+    public void rejectRequest(RequestId id, CertReviewResponse data) {
         changeRequestState(id, data, "reject");
     }
 
-    public void cancelRequest(RequestId id, AgentEnrollmentRequestData data) {
+    public void cancelRequest(RequestId id, CertReviewResponse data) {
         changeRequestState(id, data, "cancel");
     }
 
-    public void updateRequest(RequestId id, AgentEnrollmentRequestData data) {
+    public void updateRequest(RequestId id, CertReviewResponse data) {
         changeRequestState(id, data, "update");
     }
 
-    public void validateRequest(RequestId id, AgentEnrollmentRequestData data) {
+    public void validateRequest(RequestId id, CertReviewResponse data) {
         changeRequestState(id, data, "validate");
     }
 
-    public void unassignRequest(RequestId id, AgentEnrollmentRequestData data) {
+    public void unassignRequest(RequestId id, CertReviewResponse data) {
         changeRequestState(id, data, "unassign");
     }
 
-    public void assignRequest(RequestId id, AgentEnrollmentRequestData data) {
+    public void assignRequest(RequestId id, CertReviewResponse data) {
         changeRequestState(id, data, "assign");
     }
 
-    public void changeRequestState(RequestId id, AgentEnrollmentRequestData data, String op) {
+    public void changeRequestState(RequestId id, CertReviewResponse data, String op) {
         if (id == null) {
             throw new BadRequestException("Bad data input in CertRequestResourceService. op:" + op);
         }
@@ -140,36 +140,36 @@ public class CertRequestService extends PKIService implements CertRequestResourc
             dao.changeRequestState(id, servletRequest, data, getLocale(), op);
         } catch (ERejectException e) {
             CMS.debug("changeRequestState: execution rejected " + e);
-            throw new CMSException(Response.Status.BAD_REQUEST,
+            throw new PKIException(Response.Status.BAD_REQUEST,
                     CMS.getUserMessage(getLocale(), "CMS_PROFILE_REJECTED", e.toString()));
         } catch (EDeferException e) {
             CMS.debug("changeRequestState: execution defered " + e);
             // TODO do we throw an exception here?
-            throw new CMSException(Response.Status.BAD_REQUEST,
+            throw new PKIException(Response.Status.BAD_REQUEST,
                     CMS.getUserMessage(getLocale(), "CMS_PROFILE_DEFERRED", e.toString()));
         } catch (BadRequestDataException e) {
             CMS.debug("changeRequestState: bad request data: " + e);
-            throw new CMSException(Response.Status.BAD_REQUEST, e.toString());
+            throw new PKIException(Response.Status.BAD_REQUEST, e.toString());
         } catch (EPropertyException e) {
             CMS.debug("changeRequestState: execution error " + e);
-            throw new CMSException(CMS.getUserMessage(getLocale(),
+            throw new PKIException(CMS.getUserMessage(getLocale(),
                     "CMS_PROFILE_PROPERTY_ERROR", e.toString()));
         } catch (EProfileException e) {
             CMS.debug("ProfileProcessServlet: execution error " + e);
-            throw new CMSException(CMS.getUserMessage(getLocale(), "CMS_INTERNAL_ERROR"));
+            throw new PKIException(CMS.getUserMessage(getLocale(), "CMS_INTERNAL_ERROR"));
         } catch (EBaseException e) {
             e.printStackTrace();
-            throw new CMSException("Problem approving request in CertRequestResource.assignRequest! " + e);
+            throw new PKIException("Problem approving request in CertRequestResource.assignRequest! " + e);
         } catch (RequestNotFoundException e) {
             CMS.debug(e);
-            throw new CMSException(Response.Status.BAD_REQUEST,
+            throw new PKIException(Response.Status.BAD_REQUEST,
                     CMS.getUserMessage(getLocale(), "CMS_REQUEST_NOT_FOUND", id.toString()));
         }
     }
 
-    public AgentEnrollmentRequestData reviewRequest(@PathParam("id") RequestId id) {
+    public CertReviewResponse reviewRequest(@PathParam("id") RequestId id) {
      // auth and authz
-        AgentEnrollmentRequestData info;
+        CertReviewResponse info;
 
         CertRequestDAO dao = new CertRequestDAO();
         try {
@@ -177,7 +177,7 @@ public class CertRequestService extends PKIService implements CertRequestResourc
         } catch (EBaseException e) {
             // log error
             e.printStackTrace();
-            throw new CMSException("Error getting Cert request info!");
+            throw new PKIException("Error getting Cert request info!");
         }
 
         if (info == null) {
@@ -211,7 +211,7 @@ public class CertRequestService extends PKIService implements CertRequestResourc
         } catch (EBaseException e) {
             CMS.debug("listRequests: error in obtaining request results" + e);
             e.printStackTrace();
-            throw new CMSException("Error listing cert requests!");
+            throw new PKIException("Error listing cert requests!");
         }
         return requests;
     }
diff --git a/base/common/src/com/netscape/cms/servlet/request/KeyRequestResource.java b/base/common/src/com/netscape/cms/servlet/request/KeyRequestResource.java
index 9ed2eb2a1eef3f8c3df538852b61dca28770e837..d583d9580559e671ae7aa77a1438ce893a8f97cc 100644
--- a/base/common/src/com/netscape/cms/servlet/request/KeyRequestResource.java
+++ b/base/common/src/com/netscape/cms/servlet/request/KeyRequestResource.java
@@ -12,10 +12,10 @@ import javax.ws.rs.core.MediaType;
 import javax.ws.rs.core.MultivaluedMap;
 
 import com.netscape.certsrv.request.RequestId;
-import com.netscape.cms.servlet.request.model.ArchivalRequestData;
+import com.netscape.cms.servlet.request.model.KeyArchivalRequest;
 import com.netscape.cms.servlet.request.model.KeyRequestInfo;
 import com.netscape.cms.servlet.request.model.KeyRequestInfos;
-import com.netscape.cms.servlet.request.model.RecoveryRequestData;
+import com.netscape.cms.servlet.request.model.KeyRecoveryRequest;
 
 @Path("agent/keyrequests")
 public interface KeyRequestResource {
@@ -62,7 +62,7 @@ public interface KeyRequestResource {
     @Path("archive")
     @Produces({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
     @Consumes({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
-    public KeyRequestInfo archiveKey(ArchivalRequestData data);
+    public KeyRequestInfo archiveKey(KeyArchivalRequest data);
 
     //Recovery - used to test integration with a browser
     @POST
@@ -75,7 +75,7 @@ public interface KeyRequestResource {
     @Path("recover")
     @Produces({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
     @Consumes({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
-    public KeyRequestInfo recoverKey(RecoveryRequestData data);
+    public KeyRequestInfo recoverKey(KeyRecoveryRequest data);
 
     @POST
     @Path("{id}/approve")
diff --git a/base/common/src/com/netscape/cms/servlet/request/KeyRequestService.java b/base/common/src/com/netscape/cms/servlet/request/KeyRequestService.java
index ebe6062c8e69fc42546159707c280f348748823d..e2afaf58c8f14d0051a61971fa42b447fbb1f59d 100644
--- a/base/common/src/com/netscape/cms/servlet/request/KeyRequestService.java
+++ b/base/common/src/com/netscape/cms/servlet/request/KeyRequestService.java
@@ -25,13 +25,13 @@ import javax.ws.rs.core.Response;
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.request.RequestId;
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.base.PKIService;
-import com.netscape.cms.servlet.request.model.ArchivalRequestData;
+import com.netscape.cms.servlet.request.model.KeyArchivalRequest;
 import com.netscape.cms.servlet.request.model.KeyRequestDAO;
 import com.netscape.cms.servlet.request.model.KeyRequestInfo;
 import com.netscape.cms.servlet.request.model.KeyRequestInfos;
-import com.netscape.cms.servlet.request.model.RecoveryRequestData;
+import com.netscape.cms.servlet.request.model.KeyRecoveryRequest;
 import com.netscape.cmsutil.ldap.LDAPUtil;
 
 /**
@@ -52,7 +52,7 @@ public class KeyRequestService extends PKIService implements KeyRequestResource
         } catch (EBaseException e) {
             // log error
             e.printStackTrace();
-            throw new CMSException(e.getMessage(), e);
+            throw new PKIException(e.getMessage(), e);
         }
         if (info == null) {
             // request does not exist
@@ -63,11 +63,11 @@ public class KeyRequestService extends PKIService implements KeyRequestResource
 
     // Archiving - used to test integration with a browser
     public KeyRequestInfo archiveKey(MultivaluedMap<String, String> form) {
-        ArchivalRequestData data = new ArchivalRequestData(form);
+        KeyArchivalRequest data = new KeyArchivalRequest(form);
         return archiveKey(data);
     }
 
-    public KeyRequestInfo archiveKey(ArchivalRequestData data) {
+    public KeyRequestInfo archiveKey(KeyArchivalRequest data) {
         // auth and authz
         // Catch this before internal server processing has to deal with it
 
@@ -91,11 +91,11 @@ public class KeyRequestService extends PKIService implements KeyRequestResource
 
     //Recovery - used to test integration with a browser
     public KeyRequestInfo recoverKey(MultivaluedMap<String, String> form) {
-        RecoveryRequestData data = new RecoveryRequestData(form);
+        KeyRecoveryRequest data = new KeyRecoveryRequest(form);
         return recoverKey(data);
     }
 
-    public KeyRequestInfo recoverKey(RecoveryRequestData data) {
+    public KeyRequestInfo recoverKey(KeyRecoveryRequest data) {
         // auth and authz
 
         //Check for entirely illegal data combination here
diff --git a/base/common/src/com/netscape/cms/servlet/request/RequestNotFoundException.java b/base/common/src/com/netscape/cms/servlet/request/RequestNotFoundException.java
index 5d6b5563b21c593b61f63bfe20f29f3090771782..6bef885f9d9269ded0aa7f711279cdfc5e094172 100644
--- a/base/common/src/com/netscape/cms/servlet/request/RequestNotFoundException.java
+++ b/base/common/src/com/netscape/cms/servlet/request/RequestNotFoundException.java
@@ -3,9 +3,9 @@ package com.netscape.cms.servlet.request;
 import javax.ws.rs.core.Response;
 
 import com.netscape.certsrv.request.RequestId;
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 
-public class RequestNotFoundException extends CMSException {
+public class RequestNotFoundException extends PKIException {
 
     private static final long serialVersionUID = -4784839378360933483L;
 
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/EnrollmentRequestData.java b/base/common/src/com/netscape/cms/servlet/request/model/CertEnrollmentRequest.java
similarity index 96%
rename from base/common/src/com/netscape/cms/servlet/request/model/EnrollmentRequestData.java
rename to base/common/src/com/netscape/cms/servlet/request/model/CertEnrollmentRequest.java
index caff0261d253347ab863e8adddb7db2debb61c26..a249d657daf93f1c2ed183edce8fc0ef6416586c 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/EnrollmentRequestData.java
+++ b/base/common/src/com/netscape/cms/servlet/request/model/CertEnrollmentRequest.java
@@ -47,9 +47,9 @@ import com.netscape.cms.servlet.profile.model.ProfileOutput;
  *
  */
 
-@XmlRootElement(name = "EnrollmentRequest")
+@XmlRootElement(name = "CertEnrollmentRequest")
 @XmlAccessorType(XmlAccessType.FIELD)
-public class EnrollmentRequestData {
+public class CertEnrollmentRequest {
 
     private static final String PROFILE_ID = "profileId";
     private static final String RENEWAL = "renewal";
@@ -76,11 +76,11 @@ public class EnrollmentRequestData {
     @XmlElement(name = "Output")
     protected List<ProfileOutput> outputs = new ArrayList<ProfileOutput>();
 
-    public EnrollmentRequestData() {
+    public CertEnrollmentRequest() {
         // required for jaxb
     }
 
-    public EnrollmentRequestData(MultivaluedMap<String, String> form) {
+    public CertEnrollmentRequest(MultivaluedMap<String, String> form) {
         profileId = form.getFirst(PROFILE_ID);
         String renewalStr = form.getFirst(RENEWAL);
         serialNum = form.getFirst(SERIAL_NUM);
@@ -211,7 +211,7 @@ public class EnrollmentRequestData {
     }
 
     public static void main(String args[]) throws Exception {
-        EnrollmentRequestData data = new EnrollmentRequestData();
+        CertEnrollmentRequest data = new CertEnrollmentRequest();
         data.setProfileId("caUserCert");
         data.setIsRenewal(false);
 
@@ -240,7 +240,7 @@ public class EnrollmentRequestData {
         submitter.setInputAttr("requestor_phone", "650-555-5555");
 
         try {
-            JAXBContext context = JAXBContext.newInstance(EnrollmentRequestData.class);
+            JAXBContext context = JAXBContext.newInstance(CertEnrollmentRequest.class);
             Marshaller marshaller = context.createMarshaller();
             marshaller.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, true);
 
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/CertEnrollmentRequestFactory.java b/base/common/src/com/netscape/cms/servlet/request/model/CertEnrollmentRequestFactory.java
index 51582d13cd31c44abd426be7bb3bd2ce42e3cf5c..36c4adfca6b34a5ac99482212dbd06f486bbc69e 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/CertEnrollmentRequestFactory.java
+++ b/base/common/src/com/netscape/cms/servlet/request/model/CertEnrollmentRequestFactory.java
@@ -30,11 +30,11 @@ import com.netscape.cms.servlet.profile.model.ProfileInputFactory;
 
 public class CertEnrollmentRequestFactory {
 
-    public static EnrollmentRequestData create(CMSRequest cmsReq, IProfile profile, Locale locale)
+    public static CertEnrollmentRequest create(CMSRequest cmsReq, IProfile profile, Locale locale)
             throws EProfileException {
         IArgBlock params = cmsReq.getHttpParams();
 
-        EnrollmentRequestData ret = new EnrollmentRequestData();
+        CertEnrollmentRequest ret = new CertEnrollmentRequest();
         ret.setProfileId(profile.getId());
 
         // populate profile inputs
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/CertRequestDAO.java b/base/common/src/com/netscape/cms/servlet/request/model/CertRequestDAO.java
index f662a6c89852cd3dec2c9b628bd95720060f9a8d..3aacf1b884da947cc594d117495bd84b2ba64fa8 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/CertRequestDAO.java
+++ b/base/common/src/com/netscape/cms/servlet/request/model/CertRequestDAO.java
@@ -138,7 +138,7 @@ public class CertRequestDAO extends CMSRequestDAO {
      * @return info for specific request
      * @throws EBaseException
      */
-    public AgentEnrollmentRequestData reviewRequest(HttpServletRequest servletRequest, RequestId id,
+    public CertReviewResponse reviewRequest(HttpServletRequest servletRequest, RequestId id,
             UriInfo uriInfo, Locale locale) throws EBaseException {
         IRequest request = queue.findRequest(id);
         if (request == null) {
@@ -146,14 +146,14 @@ public class CertRequestDAO extends CMSRequestDAO {
         }
         String profileId = request.getExtDataInString("profileId");
         IProfile profile = ps.getProfile(profileId);
-        AgentEnrollmentRequestData info = CertReviewResponseFactory.create(request, profile, uriInfo, locale);
+        CertReviewResponse info = CertReviewResponseFactory.create(request, profile, uriInfo, locale);
         if (ca.noncesEnabled()) {
             addNonce(info, servletRequest);
         }
         return info;
     }
 
-    private void addNonce(AgentEnrollmentRequestData info, HttpServletRequest servletRequest) throws EBaseException {
+    private void addNonce(CertReviewResponse info, HttpServletRequest servletRequest) throws EBaseException {
         if (nonces != null) {
             long n = random.nextLong();
             long m = nonces.addNonce(n, Processor.getSSLClientCertificate(servletRequest));
@@ -171,7 +171,7 @@ public class CertRequestDAO extends CMSRequestDAO {
      * @throws EBaseException
      * @throws ServletException
      */
-    public CertRequestInfos submitRequest(EnrollmentRequestData data, HttpServletRequest request, UriInfo uriInfo,
+    public CertRequestInfos submitRequest(CertEnrollmentRequest data, HttpServletRequest request, UriInfo uriInfo,
             Locale locale) throws EBaseException {
         HashMap<String, Object> results = null;
         if (data.getIsRenewal()) {
@@ -196,7 +196,7 @@ public class CertRequestDAO extends CMSRequestDAO {
         return ret;
     }
 
-    public void changeRequestState(RequestId id, HttpServletRequest request, AgentEnrollmentRequestData data,
+    public void changeRequestState(RequestId id, HttpServletRequest request, CertReviewResponse data,
             Locale locale, String op) throws EBaseException {
         IRequest ireq = queue.findRequest(id);
         if (ireq == null) {
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/CertRetrievalRequestData.java b/base/common/src/com/netscape/cms/servlet/request/model/CertRetrievalRequest.java
similarity index 93%
rename from base/common/src/com/netscape/cms/servlet/request/model/CertRetrievalRequestData.java
rename to base/common/src/com/netscape/cms/servlet/request/model/CertRetrievalRequest.java
index 72e437c17c0d4f349eb2ccf97ad3fbdcfa8f3a8c..9b8caacd91b23a04c2c133dc238d6a6751b124e6 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/CertRetrievalRequestData.java
+++ b/base/common/src/com/netscape/cms/servlet/request/model/CertRetrievalRequest.java
@@ -39,7 +39,7 @@ import com.netscape.certsrv.request.RequestIdAdapter;
  */
 @XmlRootElement(name = "CertRetrievalRequest")
 @XmlAccessorType(XmlAccessType.FIELD)
-public class CertRetrievalRequestData {
+public class CertRetrievalRequest {
 
     private static final String CERT_ID = "certId";
 
@@ -51,11 +51,11 @@ public class CertRetrievalRequestData {
     @XmlJavaTypeAdapter(RequestIdAdapter.class)
     protected RequestId requestId;
 
-    public CertRetrievalRequestData() {
+    public CertRetrievalRequest() {
         // required for JAXB (defaults)
     }
 
-    public CertRetrievalRequestData(MultivaluedMap<String, String> form) {
+    public CertRetrievalRequest(MultivaluedMap<String, String> form) {
         if (form.containsKey(CERT_ID)) {
             certId = new CertId(form.getFirst(CERT_ID));
         }
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/AgentEnrollmentRequestData.java b/base/common/src/com/netscape/cms/servlet/request/model/CertReviewResponse.java
similarity index 97%
rename from base/common/src/com/netscape/cms/servlet/request/model/AgentEnrollmentRequestData.java
rename to base/common/src/com/netscape/cms/servlet/request/model/CertReviewResponse.java
index fb08743533db21109e31293d0f9bce8ab21b1de3..3bec6bada0c11f6d65e55652b567d0932e2e6f57 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/AgentEnrollmentRequestData.java
+++ b/base/common/src/com/netscape/cms/servlet/request/model/CertReviewResponse.java
@@ -39,7 +39,7 @@ import com.netscape.cms.servlet.profile.model.ProfilePolicySet;
 
 @XmlRootElement
 @XmlAccessorType(XmlAccessType.FIELD)
-public class AgentEnrollmentRequestData extends EnrollmentRequestData {
+public class CertReviewResponse extends CertEnrollmentRequest {
 
     @XmlElement(name="ProfilePolicySet")
     protected List<ProfilePolicySet> policySets = new ArrayList<ProfilePolicySet>();
@@ -198,7 +198,7 @@ public class AgentEnrollmentRequestData extends EnrollmentRequestData {
 
     public String toString() {
         try {
-            JAXBContext context = JAXBContext.newInstance(AgentEnrollmentRequestData.class);
+            JAXBContext context = JAXBContext.newInstance(CertReviewResponse.class);
             Marshaller marshaller = context.createMarshaller();
             marshaller.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, true);
 
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/CertReviewResponseFactory.java b/base/common/src/com/netscape/cms/servlet/request/model/CertReviewResponseFactory.java
index 5c2106802d35e8e95e93273d594d895ef2ac9c1c..a27437d0f182d369f2bd64cae3640a314179d5f7 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/CertReviewResponseFactory.java
+++ b/base/common/src/com/netscape/cms/servlet/request/model/CertReviewResponseFactory.java
@@ -47,8 +47,8 @@ import com.netscape.cms.servlet.profile.model.ProfilePolicySet;
 
 public class CertReviewResponseFactory {
 
-    public static AgentEnrollmentRequestData create(IRequest request, IProfile profile, UriInfo uriInfo, Locale locale) throws EBaseException {
-        AgentEnrollmentRequestData ret = new AgentEnrollmentRequestData();
+    public static CertReviewResponse create(IRequest request, IProfile profile, UriInfo uriInfo, Locale locale) throws EBaseException {
+        CertReviewResponse ret = new CertReviewResponse();
 
         if (request.getRequestType().equals("renewal")) {
             ret.setIsRenewal(true);
@@ -127,13 +127,13 @@ public class CertReviewResponseFactory {
         return ret;
     }
 
-    public static AgentEnrollmentRequestData create(CMSRequest cmsReq, IProfile profile, Nonces nonces, Locale locale)
+    public static CertReviewResponse create(CMSRequest cmsReq, IProfile profile, Nonces nonces, Locale locale)
             throws EPropertyException, EProfileException {
         HttpServletRequest req = cmsReq.getHttpReq();
         IRequest ireq = cmsReq.getIRequest();
         IArgBlock params = cmsReq.getHttpParams();
 
-        AgentEnrollmentRequestData ret = new AgentEnrollmentRequestData();
+        CertReviewResponse ret = new CertReviewResponse();
         ret.setProfileId(profile.getId());
         ret.setRequestNotes(req.getParameter("requestNotes"));
         ret.setRequestId(ireq.getRequestId());
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/ArchivalRequestData.java b/base/common/src/com/netscape/cms/servlet/request/model/KeyArchivalRequest.java
similarity index 94%
rename from base/common/src/com/netscape/cms/servlet/request/model/ArchivalRequestData.java
rename to base/common/src/com/netscape/cms/servlet/request/model/KeyArchivalRequest.java
index bcc51bf96c08d946fb67e718d819ec2cc9f31f1d..9cd544ff8117dec9b72b77d2fee5d546b8192d99 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/ArchivalRequestData.java
+++ b/base/common/src/com/netscape/cms/servlet/request/model/KeyArchivalRequest.java
@@ -23,17 +23,17 @@ package com.netscape.cms.servlet.request.model;
 
 import javax.ws.rs.core.MultivaluedMap;
 import javax.xml.bind.annotation.XmlAccessType;
-import javax.xml.bind.annotation.XmlRootElement;
 import javax.xml.bind.annotation.XmlAccessorType;
 import javax.xml.bind.annotation.XmlElement;
+import javax.xml.bind.annotation.XmlRootElement;
 
 /**
  * @author alee
  *
  */
-@XmlRootElement(name="SecurityDataArchivalRequest")
+@XmlRootElement(name="KeyArchivalRequest")
 @XmlAccessorType(XmlAccessType.FIELD)
-public class ArchivalRequestData {
+public class KeyArchivalRequest {
 
     private static final String CLIENT_ID = "clientID";
     private static final String TRANS_WRAPPED_SESSION_KEY = "transWrappedSessionKey";
@@ -52,11 +52,11 @@ public class ArchivalRequestData {
     @XmlElement
     protected String wrappedPrivateData;
 
-    public ArchivalRequestData() {
+    public KeyArchivalRequest() {
         // required for JAXB (defaults)
     }
 
-    public ArchivalRequestData(MultivaluedMap<String, String> form) {
+    public KeyArchivalRequest(MultivaluedMap<String, String> form) {
         clientId = form.getFirst(CLIENT_ID);
         transWrappedSessionKey = form.getFirst(TRANS_WRAPPED_SESSION_KEY);
         dataType = form.getFirst(DATA_TYPE);
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/RecoveryRequestData.java b/base/common/src/com/netscape/cms/servlet/request/model/KeyRecoveryRequest.java
similarity index 95%
rename from base/common/src/com/netscape/cms/servlet/request/model/RecoveryRequestData.java
rename to base/common/src/com/netscape/cms/servlet/request/model/KeyRecoveryRequest.java
index 3354147921c09caa4680818765c1b8c80734a54d..3cb17d283429e1eabb009ffe2a8c883c94a59c1c 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/RecoveryRequestData.java
+++ b/base/common/src/com/netscape/cms/servlet/request/model/KeyRecoveryRequest.java
@@ -23,9 +23,9 @@ package com.netscape.cms.servlet.request.model;
 
 import javax.ws.rs.core.MultivaluedMap;
 import javax.xml.bind.annotation.XmlAccessType;
-import javax.xml.bind.annotation.XmlRootElement;
 import javax.xml.bind.annotation.XmlAccessorType;
 import javax.xml.bind.annotation.XmlElement;
+import javax.xml.bind.annotation.XmlRootElement;
 import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
 
 import com.netscape.certsrv.dbs.keydb.KeyId;
@@ -37,9 +37,9 @@ import com.netscape.certsrv.request.RequestIdAdapter;
  * @author alee
  *
  */
-@XmlRootElement(name="SecurityDataRecoveryRequest")
+@XmlRootElement(name="KeyRecoveryRequest")
 @XmlAccessorType(XmlAccessType.FIELD)
-public class RecoveryRequestData {
+public class KeyRecoveryRequest {
 
     private static final String KEY_ID = "keyId";
     private static final String REQUEST_ID = "requestId";
@@ -64,11 +64,11 @@ public class RecoveryRequestData {
     @XmlElement
     protected String nonceData;
 
-    public RecoveryRequestData() {
+    public KeyRecoveryRequest() {
         // required for JAXB (defaults)
     }
 
-    public RecoveryRequestData(MultivaluedMap<String, String> form) {
+    public KeyRecoveryRequest(MultivaluedMap<String, String> form) {
         if (form.containsKey(KEY_ID)) {
             keyId = new KeyId(form.getFirst(KEY_ID));
         }
diff --git a/base/common/src/com/netscape/cms/servlet/request/model/KeyRequestDAO.java b/base/common/src/com/netscape/cms/servlet/request/model/KeyRequestDAO.java
index 36a869aaf33992c6bba89a315f8e8ea2ba35df00..6e9de9290f1437912ba026559c16ba2586b9a413 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/KeyRequestDAO.java
+++ b/base/common/src/com/netscape/cms/servlet/request/model/KeyRequestDAO.java
@@ -127,7 +127,7 @@ public class KeyRequestDAO extends CMSRequestDAO {
      * @return info for the request submitted.
      * @throws EBaseException
      */
-    public KeyRequestInfo submitRequest(ArchivalRequestData data, UriInfo uriInfo) throws EBaseException {
+    public KeyRequestInfo submitRequest(KeyArchivalRequest data, UriInfo uriInfo) throws EBaseException {
         String clientId = data.getClientId();
         String wrappedSecurityData = data.getWrappedPrivateData();
         String dataType = data.getDataType();
@@ -158,7 +158,7 @@ public class KeyRequestDAO extends CMSRequestDAO {
      * @return info on the recovery request created
      * @throws EBaseException
      */
-    public KeyRequestInfo submitRequest(RecoveryRequestData data, UriInfo uriInfo) throws EBaseException {
+    public KeyRequestInfo submitRequest(KeyRecoveryRequest data, UriInfo uriInfo) throws EBaseException {
         // set data using request.setExtData(field, data)
 
         String wrappedSessionKeyStr = data.getTransWrappedSessionKey();
